package com.winhc.bigdata.spark.ng.dynamic

import com.winhc.bigdata.spark.ng.dynamic.utils.CompanyDynamicUtils
import org.apache.spark.internal.Logging

/**
 * @author: XuJiakai
 * @date: 2021/6/23 10:35
 */
trait NgCompanyDynamicHandle extends Serializable with Logging {

  def filter: (String, String, Seq[String], Map[String, String], Map[String, String]) => Boolean = CompanyDynamicUtils.default_filter

  def flat_map: (ChangeExtract) => Seq[CompanyDynamicRecord]

  def group_by_key: (CompanyDynamicRecord) => String = null

  def group_by_flat_map: (Seq[CompanyDynamicRecord]) => Seq[CompanyDynamicRecord] = null
}
